> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Create webhook

> Concrete view for creating a model instance.



## OpenAPI

````yaml /openapi/integrations.json post /v1/crm/integrations/wazzup/webhook/
openapi: 3.0.3
info:
  title: Yume API — Интеграции
  version: 1.0.0
  description: Подключение и управление внешними сервисами.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/integrations/wazzup/webhook/:
    post:
      tags:
        - wazzup
      summary: Create webhook
      description: Concrete view for creating a model instance.
      operationId: wazzup_webhook_create
      parameters:
        - $ref: '#/components/parameters/TenantId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WazzupWebhook'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/WazzupWebhook'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/WazzupWebhook'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WazzupWebhook'
          description: ''
      security:
        - {}
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    WazzupWebhook:
      type: object
      description: Base serializer class.
      properties:
        messages:
          type: array
          items:
            $ref: '#/components/schemas/WazzupWebhookMessage'
        statuses:
          type: array
          items:
            $ref: '#/components/schemas/WazzupWebhookMessageStatus'
        createDeal: {}
        createContact: {}
    WazzupWebhookMessage:
      type: object
      description: Base serializer class.
      properties:
        messageId:
          type: string
          format: uuid
        channelId:
          type: string
          format: uuid
        chatType:
          $ref: '#/components/schemas/ChatTypeEnum'
        chatId:
          type: string
        type:
          $ref: '#/components/schemas/WazzupWebhookMessageTypeEnum'
        isEcho:
          type: boolean
        contact:
          $ref: '#/components/schemas/Contact'
        text:
          type: string
        contentUri:
          type: string
          format: uri
        authorName:
          type: string
        authorId:
          type: string
        instPost:
          $ref: '#/components/schemas/WazzupWebhookInstagramPost'
        status:
          $ref: '#/components/schemas/WazzupWebhookMessageStatusEnum'
        dateTime:
          type: string
          format: date-time
    WazzupWebhookMessageStatus:
      type: object
      description: Base serializer class.
      properties:
        messageId:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/WazzupWebhookMessageStatusStatusEnum'
        timestamp:
          type: string
          format: date-time
        error: {}
    ChatTypeEnum:
      enum:
        - whatsapp
        - whatsgroup
        - instagram
        - telegram
        - telegroup
      type: string
      description: |-
        * `whatsapp` - whatsapp
        * `whatsgroup` - whatsgroup
        * `instagram` - instagram
        * `telegram` - telegram
        * `telegroup` - telegroup
    WazzupWebhookMessageTypeEnum:
      enum:
        - text
        - image
        - audio
        - video
        - document
        - vcard
        - geo
        - wapi_template
        - unsupported
        - missing_call
        - unknown
      type: string
      description: |-
        * `text` - text
        * `image` - image
        * `audio` - audio
        * `video` - video
        * `document` - document
        * `vcard` - vcard
        * `geo` - geo
        * `wapi_template` - wapi_template
        * `unsupported` - unsupported
        * `missing_call` - missing_call
        * `unknown` - unknown
    Contact:
      type: object
      description: Base serializer class.
      properties:
        name:
          type: string
        avatarUri:
          type: string
          format: uri
        username:
          type: string
        phone:
          type: string
        quotedMessage: {}
        sentFromApp:
          type: boolean
    WazzupWebhookInstagramPost:
      type: object
      description: Base serializer class.
      properties:
        id:
          type: string
        src:
          type: string
          format: uri
        sha1:
          type: string
        likes:
          type: integer
        author:
          type: string
        comments:
          type: integer
        timestamp:
          type: integer
        updatedAt:
          type: integer
        authorName:
          type: string
        authorId:
          type: string
        description:
          type: string
        previewSha1:
          type: string
        imageSrc:
          type: string
          format: uri
        previewSrc:
          type: string
          format: uri
    WazzupWebhookMessageStatusEnum:
      enum:
        - sent
        - delivered
        - read
        - error
        - inbound
      type: string
      description: |-
        * `sent` - sent
        * `delivered` - delivered
        * `read` - read
        * `error` - error
        * `inbound` - inbound
    WazzupWebhookMessageStatusStatusEnum:
      enum:
        - sent
        - delivered
        - read
        - error
      type: string
      description: |-
        * `sent` - sent
        * `delivered` - delivered
        * `read` - read
        * `error` - error

````